# NOTE
# - The GUI is packaged in pysvn-workbench.spec
#
# Conditional build:
%bcond_with	tests		# build with tests

%define	module	pysvn
Summary:	Python SVN Tools
Summary(pl.UTF-8):	Narzędzia do SVN w Pythonie
Name:		python-%{module}
Version:	1.8.0
Release:	1
License:	Apache
Group:		Development/Languages/Python
Source0:	http://pysvn.barrys-emacs.org/source_kits/%{module}-%{version}.tar.gz
# Source0-md5:	3999a7680f4d3c4d3bddfc45edf65788
Patch1:		x32.patch
URL:		http://pysvn.tigris.org/
BuildRequires:	apr-devel
BuildRequires:	apr-util-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	subversion
BuildRequires:	subversion-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pysvn Extension Features:
- Supports all svn client features
- Supports svn transaction features required to write svn pre-commit
  hooks
- Easy to learn and use
- Python like interface
- Good Documentation and examples
- No need to understand the Subversion C API

%description -l pl.UTF-8
Cechy pysvn:
- obsługuje wszystkie możliwości klienta svn
- obsługuje cechy transakcji svn wymagane do pisania procedur
  wywoływanych przed commitem do svn
- łatwy w nauce i użyciu
- pythonowy interfejs
- dobra dokumentacja i przykłady
- nie trzeba rozumieć API C do Subversion

%prep
%setup  -q -n %{module}-%{version}
%patch1 -p1

%build
cd Source
%{__python} ./setup.py configure \
	--apr-inc-dir="$(apr-1-config --includedir)" \
	--apu-inc-dir="$(apu-1-config --includedir)" \
	--svn-lib-dir=%{_libdir}

%{__make} \
	CC="%{__cc} -c $(pkg-config apr-util-1 --cflags)" \
	CCC="%{__cxx} -c $(pkg-config apr-util-1 --cflags)"

%{?with_tests:%{__make} -C ../Tests -f unix.mak PYTHON=%{__python}}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}/pysvn
cp -a Source/pysvn/__init__.py Source/pysvn/*.so $RPM_BUILD_ROOT%{py_sitedir}/pysvn

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/Client
cp -p Examples/Client/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/Client

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Docs/*
%dir %{py_sitedir}/pysvn
%attr(755,root,root) %{py_sitedir}/pysvn/*.so
%{py_sitedir}/pysvn/*.py[co]
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Mar 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pysvn.git;a=log;h=master

* Wed Mar 30 2016 Elan Ruusamäe <glen@delfi.ee> 7e6966f
- BR deps

* Wed Mar 30 2016 Elan Ruusamäe <glen@delfi.ee> 05c1fff
- up to 1.8.0, supports Subversion 1.9.1

* Wed Mar 30 2016 Elan Ruusamäe <glen@delfi.ee> 26a9f6f
- up to 1.7.10

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9a85a91
- release 3 (by relup.sh)

* Sun May 10 2015 Jan Rękorajski <baggins@pld-linux.org> c5c9a8e
- fix building on x32
- rel 2

* Mon Nov 19 2012 Jan Rękorajski <baggins@pld-linux.org> cb503a7
- updated to 1.7.6
- add apr-util include dir to C*FLAGS

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 6bb32a3
- rebuild with expat 2.1.0
- release 3 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 094f136
- BR: libstdc++-devel
- adapterized

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f53fb94
- release 2

* Mon Jun 07 2010 arvenil <arvenil@pld-linux.org> e99ea58
- up to 1.7.2

* Tue Jun 03 2008 Paweł Sikora <pluto@pld-linux.org> 9a3ccc0
- updated to 1.5.3.

* Wed May 07 2008 Jakub Bogusz <qboosh@pld-linux.org> d18c109
- BR: rpm-pythonprov

* Fri Nov 02 2007 shadzik <shadzik@pld-linux.org> 41ef2bc
- updated for new patch0
- BR: pkgconfig (needed by patch0)

* Fri Nov 02 2007 shadzik <shadzik@pld-linux.org> f85585e
- glen says pkgconfig is always better then scanning /usr/include, so i figured out this solution,
  maybe it's evil (I'm sure it is) but works

* Fri Nov 02 2007 shadzik <shadzik@pld-linux.org> 57f541a
- kill redundand apr-util-devel BR

* Fri Nov 02 2007 shadzik <shadzik@pld-linux.org> d700eff
- up to 1.5.2
- add apr-utils.patch
- by Kamil Jakubowski <jakubowski dot kamil at 3vnet dot pl>

* Fri Nov 02 2007 shadzik <shadzik@pld-linux.org> 688e332
- find apr-util headers and use them
- sent in by Kamil Jakubowski <jakubowski dot kamil at 3vnet dot pl>

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 42e99b6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9e2da48
- converted to UTF-8

* Thu Sep 22 2005 Jakub Bogusz <qboosh@pld-linux.org> eebce4b
- pl

